#ifndef TWODTG_LICENSE_H
#define TWODTG_LICENSE_H

// Activates the library on the 2dtg site over the Internet.
bool ActivationOnline(int licenseId, const char* psw);

// Deactivates the library on the 2dtg site over the Internet.
bool DeactivationOnline(void);

// Returns true if the library is activated.
bool IsActivated(void);

// The number of remaining days of trial
int EvaluationDayCount(void);

// Returns user codes.
bool GetUserCodes(int* userCode1, int* userCode2);

// Manual activation of the library.
bool ActivationManual(int licenseId, const char* psw, int activationCode1, int activationCode2, int userCode1, int userCode2);

bool RequredRootAcess(void);

#endif // TWODTG_LICENSE_H
